﻿using Infragistics.Documents.Excel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ExcelProtected
{
    class Program
    {
        static void Main(string[] args)
        {
            Workbook workbook = new Workbook(WorkbookFormat.Excel2007);
            Worksheet sheet = workbook.Worksheets.Add("Worksheet 1");

            sheet.GetCell("A1").Value = 10;
            sheet.GetCell("A2").ApplyFormula("=A1/2");
            sheet.GetCell("A3").ApplyFormula("=A1*A2");
            sheet.GetCell("A4").ApplyFormula("=SUM(A1:A3)");

            workbook.Save(@"..\..\Test.xlsx");
            System.Diagnostics.Process.Start($"{AppDomain.CurrentDomain.BaseDirectory}..\\..\\Test.xlsx");
        }
    }
}
